Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/DManagement.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/DManagement.cs	(revision 1075)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/DManagement.cs	(revision 1474)
@@ -140,7 +140,6 @@
 			this.m_dsGlobal = m_DocManager.GlobalDataSet;
 
-			MgrEventDelegate = new BMXNetConnectInfo.BMXNetEventDelegate(MgrEventHandler);
-			m_DocManager.ConnectInfo.BMXNetEvent += MgrEventDelegate;
-			m_DocManager.ConnectInfo.SubscribeEvent("BSDX WORKSTATION REPORT");
+            m_DocManager.RemoteSession.EventServices.RpmsEvent += MgrEventHandler;
+			m_DocManager.RemoteSession.EventServices.Subscribe("BSDX WORKSTATION REPORT");
 			m_dtWSGrid = new DataTable("WSGrid");
 			m_dtWSGrid.Columns.Add("UserName", typeof(System.String));
@@ -1899,7 +1898,8 @@
             m_dsGlobal.Tables["AccessTypes"].Clear();
             m_dsGlobal.Tables["AccessGroupType"].Clear();
-            DataTable dt1 = m_DocManager.DAL.GetAccessTypes();
-            m_dsGlobal.Tables["AccessTypes"].Merge(dt1);
-            m_dsGlobal.Tables.Add(dt1);
+            //PORT TODO: This may fail.
+            DataTable dt1 = m_DocManager.DAL.GetAccessTypes(m_dsGlobal, "AccessTypes");
+            //m_dsGlobal.Tables["AccessTypes"].Merge(dt1); //smh -commented out for BMX4
+            //m_dsGlobal.Tables.Add(dt1);                  //smh -commented out for BMX4
             //Fix Groups
             //m_DocManager.LoadAccessTypesTable();
@@ -2329,15 +2329,14 @@
 		{
 			this.m_dtWSGrid.Clear();
-			this.m_DocManager.ConnectInfo.RaiseEvent("BSDX CALL WORKSTATIONS", "A", true);
-		}
-
-		private BMXNetConnectInfo.BMXNetEventDelegate	MgrEventDelegate;
+			this.m_DocManager.RemoteSession.EventServices.TriggerEvent("BSDX CALL WORKSTATIONS", "A", true);
+		}
+
 		delegate void UpdateWorkstationGridDelegate(string sParam);
 
-		private void MgrEventHandler(Object obj, BMXNet.BMXNetEventArgs e)
+		private void MgrEventHandler(Object obj, RemoteEventArgs e)
 		{
 			try
 			{
-				if (e.BMXEvent == "BSDX WORKSTATION REPORT")
+				if (e.EventType == "BSDX WORKSTATION REPORT")
 				{
 					Debug.Write("DManagement Got Workstation Report\n");
@@ -2345,9 +2344,9 @@
                     if (this.InvokeRequired == true) //ensures that handle is created
                     {
-                        this.Invoke(uWSGd, new object[] { e.BMXParam });
+                        this.Invoke(uWSGd, new object[] { e.Details });
                     }
                     else
                     {
-                        UpdateWorkstationGrid(e.BMXParam);
+                        UpdateWorkstationGrid(e.Details);
                     }
 				}
@@ -2363,8 +2362,8 @@
 			string sDelim = "~";
 			DataRow dr = this.m_dtWSGrid.NewRow();
-			dr["UserName"] = BMXNetLib.Piece(sParam,sDelim,1);
-			dr["Handle"] = BMXNetLib.Piece(sParam,sDelim,2);
-			dr["Version"] = BMXNetLib.Piece(sParam,sDelim,3);		
-			dr["Views"] = BMXNetLib.Piece(sParam,sDelim,4);
+			dr["UserName"] = M.Piece(sParam,sDelim,1);
+			dr["Handle"] = M.Piece(sParam,sDelim,2);
+			dr["Version"] = M.Piece(sParam,sDelim,3);		
+			dr["Views"] = M.Piece(sParam,sDelim,4);
 			m_dtWSGrid.Rows.Add(dr);
 		}
@@ -2372,5 +2371,5 @@
 		private void DManagement_Closing(object sender, System.ComponentModel.CancelEventArgs e)
 		{
-			m_DocManager.ConnectInfo.UnSubscribeEvent("BSDX WORKSTATION REPORT");
+			CGDocumentManager.Current.RemoteSession.EventServices.Unsubscribe("BSDX WORKSTATION REPORT");
 		}
 
@@ -2389,5 +2388,5 @@
 				return;
 
-			this.m_DocManager.ConnectInfo.RaiseEvent("BSDX ADMIN MESSAGE", sMessage, false);
+            this.m_DocManager.RemoteSession.EventServices.TriggerEvent("BSDX ADMIN MESSAGE", sMessage, false);
 		}
 
@@ -2398,5 +2397,5 @@
 				return;
 			}
-			this.m_DocManager.ConnectInfo.RaiseEvent("BSDX ADMIN SHUTDOWN", txtSendMessage.Text, false);
+            this.m_DocManager.RemoteSession.EventServices.TriggerEvent("BSDX ADMIN SHUTDOWN", txtSendMessage.Text, false);
         }
         #endregion Workstations
